Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.utility.displaySettings
Class XYPlotDisplaySettings

    java.lang.Object
      kieker.webgui.web.utility.displaySettings.XYPlotDisplaySettings

All Implemented Interfaces:
  IDisplayConnectorSettings

    public final class XYPlotDisplaySettings

extends Object
implements IDisplayConnectorSettings

This is a settings container for a line chart within the cockpit.

Author:
  Nils Christian Ehmke

Constructor Summary
`XYPlotDisplaySettings()` Creates a new instance of this class.

Method Summary
`Map<String,String>` | `getAvailablePlots()`
`Collection<String>` | `getVisiblePlots()`
`boolean` | `isUsePoints()`
`boolean` | `isUsingFilledChart()`
`boolean` | `isUsingShadows()`
`boolean` | `isUsingStackedCharts()`
`boolean` | `isUsingVisibleLegend()`
`void` | `setAvailablePlots(Map<String,String> availablePlots)`
`void` | `setUsePoints(boolean usePoints)`
`void` | `setUsingFilledChart(boolean usingFilledChart)`
`void` | `setUsingShadows(boolean usingShadows)`
`void` | `setUsingStackedCharts(boolean usingStackedCharts)`
`void` | `setUsingVisibleLegend(boolean usingVisibleLegend)`
`void` | `setVisiblePlots(Collection<String> visiblePlots)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYPlotDisplaySettings

    public XYPlotDisplaySettings()

  Creates a new instance of this class.

Method Detail

### isUsingShadows

    public boolean isUsingShadows()

### setUsingShadows

    public void setUsingShadows(boolean usingShadows)

### isUsingFilledChart

    public boolean isUsingFilledChart()

### setUsingFilledChart

    public void setUsingFilledChart(boolean usingFilledChart)

### isUsingStackedCharts

    public boolean isUsingStackedCharts()

### setUsingStackedCharts

    public void setUsingStackedCharts(boolean usingStackedCharts)

### isUsingVisibleLegend

    public boolean isUsingVisibleLegend()

### setUsingVisibleLegend

    public void setUsingVisibleLegend(boolean usingVisibleLegend)

### isUsePoints

    public boolean isUsePoints()

### setUsePoints

    public void setUsePoints(boolean usePoints)

### getVisiblePlots

    public Collection<String> getVisiblePlots()

### setVisiblePlots

    public void setVisiblePlots(Collection<String> visiblePlots)

### getAvailablePlots

    public Map<String,String> getAvailablePlots()

### setAvailablePlots

    public void setAvailablePlots(Map<String,String> availablePlots)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.